function analyze_Q(QM, Qlabels)

digprec = 3;

% Descriptives
fprintf('\n######\n### Descriptives for questionnaires\n######\n');
for iQ = 1:length(Qlabels),
    qv = QM(:, iQ);
    fprintf([Qlabels{iQ} '\t']);
    fnin = find(~isnan(qv));
    N = length(fnin);
    m = mean(qv(fnin));
    sd = sqrt(var(qv(fnin)));
    se = sd / sqrt(N);
    fprintf([num2str(m, digprec) ' (' num2str(sd, digprec) '), N = ' num2str(N) '\n']);
end;

fprintf('\n######\n### T-tests for questionnaires\n######\n');
for iQ = 1:length(Qlabels),
    qv = QM(:, iQ);
    fprintf([Qlabels{iQ} '\t']);
    fnin = find(~isnan(qv));
    N = length(fnin);
    m = mean(qv(fnin));
    sd = sqrt(var(qv(fnin)));
    se = sd / sqrt(N);
    [p, t, df, effs] = teg_ttest(qv, 1);
end;

% All-by-all corrs for official Qs
teg_corr_table(QM, Qlabels);
