function O = batch0

template_subject = 'u1545400793d460221520';
O_for_fields = parseSubj(template_subject);

subjNames = {}; 
x = dir('dataQ_awareQ_*');
for ix = 1:length(x),
    [p, b] = fileparts(x(ix).name); 
    f = find(x(1).name == '_'); 
    subjNames{ix} = b((f(end) + 1):end);
end;

badSubjNames = {};
badSubjNames{end + 1} = {'666'}; % 666
% badSubjNames{end + 1} = {'666'}; % 

n = 1;
Qfields = fieldnames(O_for_fields.Q);
for iQ = 1:length(Qfields),
    fieldstr{n} = ['Q.' Qfields{iQ}]; n = n + 1;
end;
nQ = length(Qfields);

taskFields = fieldnames(O_for_fields);
for iTask = 1:length(taskFields),
    if strcmp(taskFields{iTask}, 'Q') || strcmp(taskFields{iTask}, 'subjName'),
        continue;
    end;
    fieldstr{n} = [taskFields{iTask} '.Tables.RT']; n = n + 1;
    fieldstr{n} = [taskFields{iTask} '.Tables.acc']; n = n + 1;
    fieldstr{n} = [taskFields{iTask} '.Tables.levels']; n = n + 1;
    fieldstr{n} = [taskFields{iTask} '.Tables.levelVals']; n = n + 1;
    fieldstr{n} = [taskFields{iTask} '.Tables.cueThreat']; n = n + 1;
    fieldstr{n} = [taskFields{iTask} '.Tables.cueCorrect']; n = n + 1;
end;

for iField = 1:nQ,
    cmd0 = ['O.' fieldstr{iField} '.scores = [];'];
    eval(cmd0);
    cmd0 = ['O.' fieldstr{iField} '.raw = [];'];
    eval(cmd0);
end;
for iField = (nQ + 1):length(fieldstr),
    cmd0 = ['O.' fieldstr{iField} ' = [];'];
    eval(cmd0);
end;
O.subjName = {};

for iSubj = 1:length(subjNames),

    badSubj = 0;
    for iBad = 1:length(badSubjNames),
        if strcmp(subjNames{iSubj}, badSubjNames{iBad}) == 1,
            badSubj = 1;
            break;
        end;
    end;
    if badSubj == 1 || isempty(subjNames{iSubj}),
        continue;
    end;

    fprintf([num2str(iSubj) '\t' subjNames{iSubj} '\n']);

    try
        O0 = parseSubj(subjNames{iSubj});
    catch
        fprintf('XXX\nXXX ERROR - skipping\nXXX\n');
        continue;
    end;

    if ~isstruct(O0) || isnan(O0.Q.BP.scores(1)),
        fprintf('XXX\nXXX Bad return - skipping\nXXX\n');
        continue;
    end;

    % Check
    Otmp = O;
    skipThis = 0;
    for iField = 1:length(fieldstr),
        if iField <= nQ,
            cmd0 = ['Otmp.' fieldstr{iField} '.scores = [Otmp.' fieldstr{iField} '.scores; O0.' fieldstr{iField} '.scores];'];
        else,
            cmd0 = ['Otmp.' fieldstr{iField} ' = [Otmp.' fieldstr{iField} '; O0.' fieldstr{iField} '];'];
        end;
        try,
            eval(cmd0);
        catch,
            fprintf(['Error: cmd0 = ' cmd0 '\n']);
            skipThis = 1;
        end;
        if iField <= nQ,
            cmd0 = ['Otmp.' fieldstr{iField} '.raw = [Otmp.' fieldstr{iField} '.raw; O0.' fieldstr{iField} '.raw];'];
            try,
                eval(cmd0);
            catch,
                fprintf(['Error: cmd0 = ' cmd0 '\n']);
                skipThis = 1;
            end;
        end;
    end;
    if skipThis == 1
        continue;
    end
    
    O.subjName{length(O.subjName) + 1} = subjNames{iSubj};

    for iField = 1:length(fieldstr),
        if iField <= nQ,
            cmd0 = ['O.' fieldstr{iField} '.scores = [O.' fieldstr{iField} '.scores; O0.' fieldstr{iField} '.scores];'];
        else,
            cmd0 = ['O.' fieldstr{iField} ' = [O.' fieldstr{iField} '; O0.' fieldstr{iField} '];'];
        end;
        try,
            eval(cmd0);
        catch,
            fprintf(['Error: cmd0 = ' cmd0 '\n']);
            error('l');
        end;
        if iField <= nQ,
            cmd0 = ['O.' fieldstr{iField} '.raw = [O.' fieldstr{iField} '.raw; O0.' fieldstr{iField} '.raw];'];
            try,
                eval(cmd0);
            catch,
                fprintf(['Error: cmd0 = ' cmd0 '\n']);
                error('l');
            end;
        end;
    end;

    Olastgood = O0;
    
end;

for iField = 1:nQ,
    cmd0 = ['O.' fieldstr{iField} '.labels = Olastgood.' fieldstr{iField} '.labels;'];
    eval(cmd0);
end;

return;

try,
    do_stats(O);
catch,
    fprintf('Failure in do_stats\n');
end;

