function O = parseFile(fn)
    O.Raw = {};
    [filepath0, name0, ext0] = fileparts(fn);
    fn_mat = [name0 '.mat'];
    if exist(fn, 'file') == 0 && exist(fn_mat, 'file') == 0,
        return;
    end;
    if exist(fn_mat)
        load(fn_mat)
        return
    end
    % Get raw
    fid = fopen(fn, 'r');
    while ~feof(fid),
        l0 = fgetl(fid);
        f = strfind(l0, '_:)_');
        if length(f) == 0,
            continue;
        end;
        l0 = l0((f(1) + 4):end);
        l0 = regexprep(l0, '"\s"', '"0"');
        l0 = regexprep(l0, '""', '"0"');
        if isempty(l0),
            data{1} = NaN;
        else,
            [data json] = parse_json(l0);
        end;
        O.Raw{length(O.Raw) + 1} = data{1};
    end;
    fclose(fid);
    save(fn_mat)
end
