function do_stats(O)

minacccrit = 0.9;
RTzcrit = 3;

t = size(O.VAEST.Tables.acc, 2) / 3;
A = O.VAEST.Tables.acc(:, 1:t);
macc = mean(A')';
RT = O.VAEST.Tables.RT(:, 1:t);
z = zscore(RT);
maxz = max(abs(z)')';
mrt = mean(RT')';
fCorrect = find(O.VAEST.Tables.cueCorrect == 1 & macc > minacccrit & maxz < RTzcrit);

fWrongCue = find(O.VAEST.Tables.cueCorrect == 0);
fBadAcc = find(macc <= minacccrit);
fAbnormalRT = find(maxz >= RTzcrit);
fAll = find(O.VAEST.Tables.cueCorrect == 0 | macc <= minacccrit | maxz >= RTzcrit);
fprintf(['Removed: ' num2str(length(fAll)) ' total, of ' num2str(size(O.VAEST.Tables.acc, 1)) ' ; ' num2str(length(fWrongCue)) ' for wrong cue; ' num2str(length(fBadAcc)) ' for bad acc; ' num2str(length(fAbnormalRT)) ' for bad RT.\n']);

fnQ = fieldnames(O.Q);
for iQ = 1:length(fnQ),
    Q = getfield(O.Q, fnQ{iQ});
    tmp = [];
    for iItem = 1:size(Q.scores, 2),
        tmp = [tmp Q.scores(fCorrect, iItem)];
    end;
    Q = setfield(Q, 'scores', tmp);
    O.Q = setfield(O.Q, fnQ{iQ}, Q);
end;
O.VAEST.Tables.RT = O.VAEST.Tables.RT(fCorrect, :);
O.VAEST.Tables.acc = O.VAEST.Tables.acc(fCorrect, :);

% m = mean(O.VAEST.Tables.RT(:, 1:18)); M = reshape(m, 3, 6); figure; subplot(2, 1, 1); plot(M); legend; M2 = mean(M); subplot(2, 1, 2); plot(M2)
quickan(O);

try
    length(find(O.Q.Demog.scores(:, 1) == 1))
    length(find(O.Q.Demog.scores(:, 1) == 0))
catch
    fprintf('Unisex\n');
end

% fnQ = {};
fnQ = fieldnames(O.Q);
% fnQ = {'BP', 'PHQ9', 'STAI'};
[QM, Qlabels] = inner_make_QM(O, fnQ);

nCond = O.VAEST.Tables.levels(1, 1);
nCSI = O.VAEST.Tables.levels(1, 2);
for pm = 1:2
    for contr = 1:2
        for iCSI = 1:nCSI
            a = iCSI;
            b = iCSI + nCSI;
            c = b + nCSI;
            
            if pm == 1
                if contr == 1
                    ant0 = O.VAEST.Tables.RT(:, b) - O.VAEST.Tables.RT(:, a);
                    QM = [QM ant0];
                    Qlabels{length(Qlabels) + 1} = ['anticiRTCSI' num2str(O.VAEST.Tables.levelVals(1, nCond + iCSI))];
                elseif contr == 2
                    ant0 = O.VAEST.Tables.RT(:, c) - O.VAEST.Tables.RT(:, b);
                    QM = [QM ant0];
                    Qlabels{length(Qlabels) + 1} = ['releaseRTCSI' num2str(O.VAEST.Tables.levelVals(1, nCond + iCSI))];
                end
            elseif pm == 2
                if contr == 1
                    ant0 = O.VAEST.Tables.acc(:, b) - O.VAEST.Tables.acc(:, a);
                    QM = [QM ant0];
                    Qlabels{length(Qlabels) + 1} = ['anticiAccCSI' num2str(O.VAEST.Tables.levelVals(1, nCond + iCSI))];
                elseif contr == 2
                    ant0 = O.VAEST.Tables.acc(:, c) - O.VAEST.Tables.acc(:, b);
                    QM = [QM ant0];
                    Qlabels{length(Qlabels) + 1} = ['releaseAccCSI' num2str(O.VAEST.Tables.levelVals(1, nCond + iCSI))];
                end
            end
        end
    end
end

predicted_ant0 = mean(O.VAEST.Tables.RT(:, 10:14), 2) - mean(O.VAEST.Tables.RT(:, 3:7), 2);
QM = [QM predicted_ant0];
Qlabels{length(Qlabels) + 1} = ['anticiRTCSIfocus'];
 
% Q descriptives
analyze_Q(QM, Qlabels);

fnQ = {};
% fnQ = fieldnames(O.Q);
[QM, Qlabels] = inner_make_QM(O, fnQ);

% EmDi_Full
X = O.VAEST.Tables;
fprintf('\n\n# # #\n# # # EmDi_Cued\n# # #\n');
for pm = 1:2,
    if pm == 1,
        pmlabel = 'RT';
        Y = X.RT(:, 1:prod(X.levels(1, :)));
        levels0 = X.levels(1, :);
        labels0 = {'Distr', 'CSI'};
    elseif pm == 2,
        pmlabel = 'acc';
        Y = X.acc(:, 1:prod(X.levels(1, :)));
        levels0 = X.levels(1, :);
        labels0 = {'Distr', 'CSI'};
    end;
    fprintf(['> > > ' pmlabel '\n']);
    f = find(~isnan(mean(Y,2)));
    if ~isempty(fnQ)
        teg_RMA(Y(f, :), levels0, labels0, [], {}, QM(f, :), Qlabels);
    else
        teg_RMA(Y(f, :), levels0, labels0);
    end
    
end;

function [QM, Qlabels] = inner_make_QM(O, fnQ)
QM = [];
Qlabels = {};
for iQ = 1:length(fnQ),
    Q = getfield(O.Q, fnQ{iQ});
    for iItem = 1:size(Q.scores, 2),
        QM = [QM Q.scores(:, iItem)];
        Qlabels{length(Qlabels) + 1} = Q.labels{iItem};
    end;
end;
